# Uses of Class
org.springframework.scheduling.config.ScheduledTaskRegistrar

Packages that use ScheduledTaskRegistrar
Package
Description
org.springframework.scheduling.annotation
Annotation support for asynchronous method execution.
org.springframework.scheduling.config
Support package for declarative scheduling configuration, with XML schema being the primary configuration format.

## Uses of ScheduledTaskRegistrar in org.springframework.scheduling.annotation

Methods in org.springframework.scheduling.annotation with parameters of type ScheduledTaskRegistrar
Modifier and Type
Method
Description
`void`
SchedulingConfigurer.`configureTasks(ScheduledTaskRegistrar taskRegistrar)`
Callback allowing a `TaskScheduler` and specific `Task` instances to be registered against the given the `ScheduledTaskRegistrar`.
Constructors in org.springframework.scheduling.annotation with parameters of type ScheduledTaskRegistrar
Modifier
Constructor
Description
``
`ScheduledAnnotationBeanPostProcessor(ScheduledTaskRegistrar registrar)`
Create a `ScheduledAnnotationBeanPostProcessor` delegating to the specified `ScheduledTaskRegistrar`.

## Uses of ScheduledTaskRegistrar in org.springframework.scheduling.config

Subclasses of ScheduledTaskRegistrar in org.springframework.scheduling.config
Modifier and Type
Class
Description
`class`
`ContextLifecycleScheduledTaskRegistrar`
`ScheduledTaskRegistrar` subclass which redirects the actual scheduling of tasks to the `ContextLifecycleScheduledTaskRegistrar.afterSingletonsInstantiated()` callback (as of 4.1.2).